paprica:docker-build:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/paprica" docker/paprica
    - docker push "$CI_REGISTRY_IMAGE/paprica"

paprica:docker-test:
  image: "$CI_REGISTRY_IMAGE/paprica"
  stage: test
  script:
    - cd /paprica
    - ./paprica-run.sh test bacteria
  needs: ["paprica:docker-build"]

